﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace Demo.Rest.Client
{
    class Program
    {
        static void Main(string[] args)
        {
            while(true)
            {
                Console.WriteLine("Making call to API");
                using (var client = new HttpClient())
                {
                    client.BaseAddress = new Uri("http://localhost:7795/");
                    client.DefaultRequestHeaders.Accept.Clear();
                    client.DefaultRequestHeaders.Accept.Add(new MediaTypeWithQualityHeaderValue("application/json"));

                    // DEmo API:
                    HttpResponseMessage response = client.GetAsync("api/demo").Result; 
                    if (response.IsSuccessStatusCode)                    
                        Console.WriteLine("GET - Demo = Success");                    
                    else
                        Console.WriteLine("GET - Demo = Fail");

                    // DEmo Error API:
                    response = client.GetAsync("api/demoerror").Result;
                    if (response.IsSuccessStatusCode)
                        Console.WriteLine("GET - Demo Error = Success");
                    else
                        Console.WriteLine("GET - Demo Error = Fail");
                }
            }
        }
    }
}
